| goname

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Find GO ontology terms by name

## Description

goname searches the names and synonyms of gene ontology terms and returns matching terms. The input is read from the installed GO database. The ontology term output can be written to screen, to file, or passed to another program. A wide range of standard ontology term formats may be specified for input and output.

Optionally the search can be restricted to specified GO namespaces.

## Usage

Here is a sample session with goname

    % goname glycoprotein
    Find GO ontology terms by name
    Obo output file [goname.obo]:

Go to the output files for this example

## Command line arguments

    Find GO ontology terms by name
    Version: EMBOSS:6.5.6.0

       Standard (Mandatory) qualifiers:
      [-query]             string     Name(s) to search for in ontology (Any
                                      string)
      [-outfile]           outobo     [*.goname] Output ontology term file name

       Additional (Optional) qualifiers:
       -namespace          menu       [*] By default all terms are returned.
                                      Searches can be limited to one or a few
                                      namespaces. (Values: biological_process
                                      (Biological process); cellular_component
                                      (Cellular component); molecular_function
                                      (Molecular function))

       Advanced (Unprompted) qualifiers:
       -subclasses         boolean    [N] Extend the query matches to include all
                                      terms which are specialisations (GO
                                      sub-classes) of the matched type.
       -obsolete           boolean    [N] The default behaviour is to not use or
                                      return obsolete terms. This option if set
                                      will include all terms.

       Associated qualifiers:

       "-outfile" associated qualifiers
       -odirectory2        string     Output directory
       -oformat2           string     Ontology term output format

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-query] (Parameter 1) | string | Name(s) to search for in ontology | Any string |
[-outfile] (Parameter 2) | outobo | Output ontology term file name | OBO ontology term(s) | <*>.goname
Additional (Optional) qualifiers
-namespace | list | By default all terms are returned. Searches can be limited to one or a few namespaces. |
biological_process | (Biological process)
cellular_component | (Cellular component)
molecular_function | (Molecular function)
| *
Advanced (Unprompted) qualifiers
-subclasses | boolean | Extend the query matches to include all terms which are specialisations (GO sub-classes) of the matched type. | Boolean value Yes/No | No
-obsolete | boolean | The default behaviour is to not use or return obsolete terms. This option if set will include all terms. | Boolean value Yes/No | No
Associated qualifiers
"-outfile" associated outobo qualifiers
-odirectory2 -odirectory_outfile | string | Output directory | Any string |
-oformat2 -oformat_outfile | string | Ontology term output format | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

goname queries the gene ontology.

## Output file format

The output is a standard EMBOSS ontology term file.

The results can be output in one of several styles by using the command-line qualifier `-oformat xxx`, where 'xxx' is replaced by the name of the required format. The available format names are: obo, brief, list, html, xml, json, excel.

See: http://emboss.sf.net/docs/themes/OntologyFormats.html for further information on ontology formats.

### Output files for usage example

### File: goname.obo

    [Term]
    id: GO:0036071
    name: N-glycan fucosylation
    namespace: biological_process
    def: The process of transferring a fucosyl group to an N-glycan. An N-glycan is the carbohydrate portion of an N-glycoprotein when attached to a nitrogen from asparagine or arginine side-chains.
    synonym: "glycoprotein fucosylation" RELATED [GOC:bf]
    is_a: GO:0036065 ! fucosylation

    [Term]
    id: GO:0035977
    name: protein deglycosylation involved in glycoprotein catabolic process
    namespace: biological_process
    def: The removal of sugar residues from a glycosylated protein that contributes to the breakdown of a glycoprotein.
    is_a: GO:0006517 ! protein deglycosylation
    relationship: part_of GO:0006516 ! glycoprotein catabolic process

    [Term]
    id: GO:0034436
    name: glycoprotein transport
    namespace: biological_process
    def: The directed movement of a glycoprotein, any protein that contains covalently bound glycose (i.e. monosaccharide) residues, into, out of or within a cell, or between cells, by means of some agent such as a transporter or pore.
    is_a: GO:0015031 ! protein transport

    [Term]
    id: GO:0008424
    name: glycoprotein 6-alpha-L-fucosyltransferase activity
    namespace: molecular_function
    def: Catalysis of the reaction: N(4)-{N-acetyl-beta-D-glucosaminyl-(1->2)-alpha-D-mannosyl-(1->3)-[N-acetyl-beta-D-glucosaminyl-(1->2)-alpha-D-mannosyl-(1->6)]-beta-D-mannosyl-(1->4)-N-acetyl-beta-D-glucosaminyl-(1->4)-N-acetyl-beta-D-glucosaminyl}-L-asparagine + GDP-L-fucose = N(4)-{N-acetyl-beta-D-glucosaminyl-(1->2)-alpha-D-mannosyl-(1->3)-[N-acetyl-beta-D-glucosaminyl-(1->2)-alpha-D-mannosyl-(1->6)]-beta-D-mannosyl-(1->4)-N-acetyl-beta-D-glucosaminyl-(1->4)-[alpha-L-fucosyl-(1->6)]-N-acetyl-beta-D-glucosaminyl}asparagine + GDP + H(+).
    synonym: "FucT" RELATED [EC:2.4.1.68]
    synonym: "GDP-fucose--glycoprotein fucosyltransferase activity" EXACT [EC:2.4.1.68]
    synonym: "GDP-L-Fuc:N-acetyl-beta-D-glucosaminide alpha(1,6)fucosyltransferase activity" EXACT [EC:2.4.1.68]
    synonym: "GDP-L-Fuc:N-acetyl-beta-D-glucosaminide alpha(1->6)fucosyltransferase activity" EXACT [EC:2.4.1.68]
    synonym: "GDP-L-Fuc:N-acetyl-beta-D-glucosaminide alpha-(1,6)fucosyltransferase activity" EXACT [EC:2.4.1.68]
    synonym: "GDP-L-Fuc:N-acetyl-beta-D-glucosaminide alpha-(1->6)fucosyltransferase activity" EXACT [EC:2.4.1.68]
    synonym: "GDP-L-fucose--glycoprotein fucosyltransferase activity" EXACT [EC:2.4.1.68]
    synonym: "GDPfucose-glycoprotein fucosyltransferase activity" EXACT [EC:2.4.1.68]
    synonym: "glycoprotein fucosyltransferase activity" BROAD [EC:2.4.1.68]
    synonym: "guanosine diphosphofucose--glycoprotein fucosyltransferase activity" EXACT [EC:2.4.1.68]
    xref: EC:2.4.1.68
    xref: KEGG:R05988
    xref: MetaCyc:2.4.1.68-RXN
    xref: Reactome:REACT_25399 "Addition of alpha 1,6 fucose to the first GlcNAc of the N-glycan, Homo sapiens"
    xref: RHEA:12988
    is_a: GO:0046921 ! alpha-(1->6)-fucosyltransferase activity

    [Term]
    id: GO:0018010
    name: glycoprotein N-palmitoyltransferase activity
    namespace: molecular_function
    def: Catalysis of the reaction: palmitoyl-CoA + glycoprotein = CoA + N-palmitoylglycoprotein.

      [Part of this file has been deleted for brevity]

    synonym: "cell wall hydroxyproline-rich glycoprotein metabolism" EXACT []
    is_a: GO:0010384 ! cell wall proteoglycan metabolic process

    [Term]
    id: GO:0004653
    name: polypeptide N-acetylgalactosaminyltransferase activity
    namespace: molecular_function
    def: Catalysis of the reaction: UDP-N-acetyl-D-galactosamine + polypeptide = UDP + N-acetyl-D-galactosaminyl-polypeptide. This reaction is the modification of serine or threonine residues in polypeptide chains by the transfer of a N-acetylgalactose from UDP-N-acetylgalactose to the hydroxyl group of the amino acid; it is the first step in O-glycan biosynthesis.
    synonym: "glycoprotein acetylgalactosaminyltransferase activity" EXACT [EC:2.4.1.41]
    synonym: "polypeptide-N-acetylgalactosamine transferase activity" EXACT [EC:2.4.1.41]
    synonym: "protein-UDP acetylgalactosaminyltransferase activity" EXACT [EC:2.4.1.41]
    synonym: "UDP-acetylgalactosamine-glycoprotein acetylgalactosaminyltransferase activity" EXACT [EC:2.4.1.41]
    synonym: "UDP-acetylgalactosamine:peptide-N-galactosaminyltransferase activity" EXACT [EC:2.4.1.41]
    synonym: "UDP-GalNAc:polypeptide N-acetylgalactosaminyl transferase activity" EXACT [EC:2.4.1.41]
    synonym: "UDP-GalNAc:polypeptide N-acetylgalactosaminyltransferase activity" EXACT [EC:2.4.1.41]
    synonym: "UDP-N-acetyl-alpha-D-galactosamine:polypeptide N-acetylgalactosaminyltransferase activity" EXACT [EC:2.4.1.41]
    synonym: "UDP-N-acetyl-D-galactosamine:polypeptide N-acetylgalactosaminyl-transferase activity" EXACT [EC:2.4.1.41]
    synonym: "UDP-N-acetylgalactosamine-glycoprotein N-acetylgalactosaminyltransferase activity" EXACT [EC:2.4.1.41]
    synonym: "UDP-N-acetylgalactosamine-protein N-acetylgalactosaminyltransferase activity" EXACT [EC:2.4.1.41]
    synonym: "UDP-N-acetylgalactosamine:kappa-casein polypeptide N-acetylgalactosaminyltransferase activity" EXACT [EC:2.4.1.41]
    synonym: "UDP-N-acetylgalactosamine:polypeptide N-acetylgalactosaminyltransferase activity" EXACT [EC:2.4.1.41]
    synonym: "UDP-N-acetylgalactosamine:protein N-acetylgalactosaminyl transferase activity" EXACT [EC:2.4.1.41]
    synonym: "uridine diphosphoacetylgalactosamine-glycoprotein acetylgalactosaminyltransferase activity" EXACT [EC:2.4.1.41]
    xref: EC:2.4.1.41
    xref: MetaCyc:2.4.1.41-RXN
    xref: Reactome:REACT_115586 "Addition of GalNAc to mucins to form the Tn antigen, Homo sapiens"
    is_a: GO:0008376 ! acetylgalactosaminyltransferase activity

    [Term]
    id: GO:0003827
    name: alpha-1,3-mannosylglycoprotein 2-beta-N-acetylglucosaminyltransferase activity
    namespace: molecular_function
    def: Catalysis of the reaction: 3-(alpha-D-mannosyl)-beta-D-mannosyl-R + UDP-N-acetyl-alpha-D-glucosamine = 3-(2-[N-acetyl-beta-D-glucosaminyl]-alpha-D-mannosyl)-beta-D-mannosyl-R + H(+) + UDP.
    synonym: "alpha-1,3-mannosyl-glycoprotein 2-beta-N-acetylglucosaminyltransferase activity" EXACT [EC:2.4.1.101]
    synonym: "alpha-1,3-mannosyl-glycoprotein beta-1,2-N-acetylglucosaminyltransferase activity" EXACT [EC:2.4.1.101]
    synonym: "alpha-1,3-mannosylglycoprotein beta-1,2-N-acetylglucosaminyltransferase activity" EXACT []
    synonym: "GnTI" RELATED [EC:2.4.1.101]
    synonym: "GNTI activity" EXACT [EC:2.4.1.101]
    synonym: "N-acetylglucosaminyltransferase I activity" EXACT [EC:2.4.1.101]
    synonym: "N-glycosyl-oligosaccharide-glycoprotein N-acetylglucosaminyltransferase I activity" EXACT [EC:2.4.1.101]
    synonym: "UDP-N-acetyl-D-glucosamine:3-(alpha-D-mannosyl)-beta-D-mannosyl-glycoprotein 2-beta-N-acetyl-D-glucosaminyltransferase activity" EXACT [EC:2.4.1.101]
    synonym: "UDP-N-acetylglucosaminyl:alpha-1,3-D-mannoside-beta-1,2-N-acetylglucosaminyltransferase I activity" EXACT [EC:2.4.1.101]
    synonym: "UDP-N-acetylglucosaminyl:alpha-3-D-mannoside beta-1,2-N-acetylglucosaminyltransferase I activity" EXACT [EC:2.4.1.101]
    synonym: "uridine diphosphoacetylglucosamine-alpha-1,3-mannosylglycoprotein beta-1,2-N-acetylglucosaminyltransferase activity" EXACT [EC:2.4.1.101]
    xref: EC:2.4.1.101
    xref: KEGG:R05983
    xref: MetaCyc:2.4.1.101-RXN
    xref: Reactome:REACT_25236 "Addition of GlcNAc to the glycan on the A arm, Homo sapiens"
    xref: RHEA:11459
    is_a: GO:0008375 ! acetylglucosaminyltransferase activity

## Data files

The gene Ontology is included in EMBOSS as local database go.

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
edamdef | Find EDAM ontology terms by definition
edamhasinput | Find EDAM ontology terms by has_input relation
edamhasoutput | Find EDAM ontology terms by has_output relation
edamisformat | Find EDAM ontology terms by is_format_of relation
edamisid | Find EDAM ontology terms by is_identifier_of relation
edamname | Find EDAM ontology terms by name
godef | Find GO ontology terms by definition
ontoget | Get ontology term(s)
ontogetcommon | Get common ancestor for terms
ontogetdown | Get ontology term(s) by parent id
ontogetobsolete | Get ontology ontology terms
ontogetroot | Get ontology root terms by child identifier
ontogetsibs | Get ontology term(s) by id with common parent
ontogetup | Get ontology term(s) by id of child
ontoisobsolete | Report whether an ontology term id is obsolete
ontotext | Get ontology term(s) original full text

## Author(s)

Peter Rice
European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None